ghost4_service_dockerbunker() {
	docker run -d \
		--name=${FUNCNAME[0]//_/-} \
		--network dockerbunker-${SERVICE_NAME} \
		--restart=always \
		--env-file ${SERVICE_ENV} \
		-e mysql__client=mysql \
		-e database__connection__database=${MYSQL_DATABASE} \
		-e database__connection__host=db \
		-e database__connection__user=${MYSQL_USER} \
		-e database__connection__password=${MYSQL_PASSWORD} \
		-e NODE_ENV=production \
		-v "${BASE_DIR}/data/services/${SERVICE_NAME}/themes":/var/lib/ghost/content/themes \
		-v ${SERVICE_NAME}-data-vol-1:${volumes[${SERVICE_NAME}-data-vol-1]} \
		${IMAGES[service]} >/dev/null
}
ghost4_db_dockerbunker() {
	docker run -d \
		--name=${FUNCNAME[0]//_/-} \
		--restart=always \
		--network dockerbunker-${SERVICE_NAME} --net-alias=db \
		--env-file="${SERVICE_ENV}" \
		-v ${SERVICE_NAME}-db-vol-1:${volumes[${SERVICE_NAME}-db-vol-1]} \
		-v "${BASE_DIR}/data/services/${SERVICE_NAME}/mysql/":/etc/mysql/conf.d/:ro \
		--health-cmd="mysqladmin ping --host localhost --silent" --health-interval=10s --health-retries=5 --health-timeout=30s \
	${IMAGES[db]} >/dev/null
}

